> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tidyhire.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Parse Job Description

<Info>
  This endpoint is **AI-powered**. It uses a large language model to intelligently extract structured job requirements from free-text job descriptions.
</Info>

**What it extracts:**

* Experience & seniority level
* Work type & employment type
* Location
* Must-have and good-to-have skills


## OpenAPI

````yaml POST /api/public/v1/ai/parse-jd
openapi: 3.1.0
info:
  title: Tidyhire API
  description: Tidyhire Public API for ATS integrations
  version: 1.0.0
servers:
  - url: https://api.tidyhire.app
    description: Production
security:
  - apiKey: []
paths:
  /api/public/v1/ai/parse-jd:
    post:
      tags:
        - AI
      summary: Parse Job Description
      operationId: parseJobDescription
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GenerateJobRequirementsRequest'
      responses:
        '200':
          description: Success.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenerateJobRequirementsSuccessResponse'
        '400':
          description: Validation Error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationErrorResponse'
        '401':
          description: Unauthorized.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedResponse'
        '429':
          description: Rate limit exceeded.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RateLimitErrorResponse'
        '500':
          description: Internal error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalErrorResponse'
      security:
        - apiKey: []
components:
  schemas:
    GenerateJobRequirementsRequest:
      type: object
      required:
        - job_description
      properties:
        job_description:
          type: string
          minLength: 1
          example: We are looking for a Senior Software Engineer...
    GenerateJobRequirementsSuccessResponse:
      type: object
      properties:
        success:
          type: boolean
          example: true
        data:
          type: object
          properties:
            min_experience:
              type: number
              example: 3
            max_experience:
              type: number
              example: 5
            seniority_level:
              type: string
              example: Senior
            work_type:
              type: string
              example: Remote
            employment_type:
              type: string
              example: Full Time
            location:
              type: string
              example: San Francisco, CA
            skills_required:
              type: array
              items:
                type: string
            skills_good_to_have:
              type: array
              items:
                type: string
    ValidationErrorResponse:
      type: object
      properties:
        success:
          type: boolean
          example: false
        code:
          type: string
          example: VALIDATION_ERROR
        message:
          type: string
          example: Request validation failed
        errors:
          type: array
          items:
            type: object
            properties:
              field:
                type: string
                example: candidates.0.name
              message:
                type: string
                example: Candidate name must be at least 3 characters
    UnauthorizedResponse:
      type: object
      properties:
        success:
          type: boolean
          example: false
        message:
          type: string
          example: Unauthorized
        error:
          type: string
          example: INVALID_API_KEY
    RateLimitErrorResponse:
      type: object
      properties:
        success:
          type: boolean
          example: false
        code:
          type: string
          example: RATE_LIMIT_EXCEEDED
        message:
          type: string
          example: Too many requests
    InternalErrorResponse:
      type: object
      properties:
        success:
          type: boolean
          example: false
        code:
          type: string
          example: UNKNOWN_ERROR
        message:
          type: string
          example: Something went wrong.
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-tidyhire-api-key
      description: Your Tidyhire API key

````